//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.01.21 at 01:53:00 PM IST 
//


package com.incred.janus.models.cibil.request.applicationData;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the generated package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ApplicationData_QNAME = new QName("", "ApplicationData");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: generated
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ApplicationDataType }
     * 
     */
    public ApplicationDataType createApplicationDataType() {
        return new ApplicationDataType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ApplicationDataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "ApplicationData")
    public JAXBElement<ApplicationDataType> createApplicationData(ApplicationDataType value) {
        return new JAXBElement<ApplicationDataType>(_ApplicationData_QNAME, ApplicationDataType.class, null, value);
    }

}
